<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.gysl.mapper.XmzskMapper">
    <select id="page" resultType="com.ruoyi.gysl.entity.Xmzsk">
        select * from xmzsk
        <where>
            <if test="req.name != null and req.name != ''">
                AND name like concat('%',#{req.name},'%')
            </if>
            <if test="req.lx != null and req.lx != ''">
                AND lx = #{req.lx}
            </if>
        </where>
    </select>

</mapper>

